Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for File API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.fileadapter.webservice
Class CounterManager

    java.lang.Object
      com.stc.connector.fileadapter.webservice.CounterManager

All Implemented Interfaces:
  java.io.Serializable

    public class CounterManager

extends java.lang.Object
implements java.io.Serializable

DOCUMENT ME!

See Also:
  Serialized Form

Constructor Summary
`CounterManager()` Creates a new instance of CounterManager

Method Summary
`void` | `addCounterUser(java.lang.String key)` Adds a feature to the CounterUser attribute of the CounterManager object
`boolean` | `counterUserExists(java.lang.String key)` DOCUMENT ME!
`void` | `deleteCounterUser(java.lang.String key)` DOCUMENT ME!
`int` | `getNextCounterCount(java.lang.String key)` DOCUMENT ME!

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CounterManager

    public CounterManager()

  Creates a new instance of CounterManager

Method Detail

### getNextCounterCount

    public int getNextCounterCount(java.lang.String key)

  DOCUMENT ME!

  Parameters:
    `key` - Unique counter user key
  Returns:
    DOCUMENT ME!

### addCounterUser

    public void addCounterUser(java.lang.String key)

  Adds a feature to the CounterUser attribute of the CounterManager object

  Parameters:
    `key` - The feature to be added to the CounterUser attribute

### counterUserExists

    public boolean counterUserExists(java.lang.String key)

  DOCUMENT ME!

  Parameters:
    `key` - Unique counter user key
  Returns:
    DOCUMENT ME!

### deleteCounterUser

    public void deleteCounterUser(java.lang.String key)

  DOCUMENT ME!

  Parameters:
    `key` - Unique counter user key

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for File API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.